import { default as React } from 'react';
import { theme, Themes } from '@local-logic/core/ui';
import { default as LocalLogicClient } from '@local-logic/client';

interface LocalLogicProviderProps {
    client: ReturnType<typeof LocalLogicClient>;
    options?: {
        appearance?: {
            theme?: Themes;
            variables?: Partial<typeof theme>;
        };
        /**
         * Removes animations and reduces stlying that does not print well (eg.
         * shadows, gradients).
         */
        renderForPrint?: boolean;
    };
    children: React.ReactNode;
}
interface DefaultContext {
    client: LocalLogicProviderProps["client"];
    options: LocalLogicProviderProps["options"];
}
declare const LocalLogicContext: React.Context<DefaultContext>;
declare const useLocalLogic: () => DefaultContext;
declare const LocalLogicProvider: ({ client, options, children, }: LocalLogicProviderProps) => React.JSX.Element;
export { useLocalLogic, LocalLogicProvider, LocalLogicContext };
//# sourceMappingURL=context.d.ts.map