import React from "react";
import { EnhancedPOICategories, POIs, Schools } from "@local-logic/client";
import BusSVG from "../assets/icons/directions_bus.svg";
import SubwaySVG from "../assets/icons/directions_subway.svg";
import TrainSVG from "../assets/icons/directions_railway.svg";
import CafeSVG from "../assets/icons/local_cafe.svg";
import MallSVG from "../assets/icons/local_mall.svg";
import NightlifeSVG from "../assets/icons/nightlife.svg";
import RestaurantSVG from "../assets/icons/restaurant.svg";
import CartSVG from "../assets/icons/cart.svg";
import ShoppingBasketSVG from "../assets/icons/shopping_basket.svg";
import NatureSVG from "../assets/icons/nature.svg";
import SpaSVG from "../assets/icons/spa.svg";
import SportsSVG from "../assets/icons/sports_tennis.svg";
import SchoolSVG from "../assets/icons/school.svg";
import ChildCareSVG from "../assets/icons/child_care.svg";
import StrollerSVG from "../assets/icons/stroller.svg";
import PetsSVG from "../assets/icons/pets.svg";
import GasSVG from "../assets/icons/local_gas_station.svg";
import FitnessCenterSVG from "../assets/icons/fitness_center.svg";
import HandymanSVG from "../assets/icons/handyman.svg";
import PaletteSVG from "../assets/icons/palette.svg";
import HealthSVG from "../assets/icons/health_and_safety.svg";

export const enhancedPoiIcons: Record<
  keyof POIs | keyof Schools | EnhancedPOICategories,
  React.FC
> = {
  groceries: CartSVG,
  groceries_specialized: ShoppingBasketSVG,
  shopping: MallSVG,
  nightlife: NightlifeSVG,
  restaurants: RestaurantSVG,
  /**
   * We may need to find a better "healthy_restaurants" icon eventually.
   */
  healthy_restaurants: SpaSVG,
  cafes: CafeSVG,
  daycares: StrollerSVG,
  bus_stops: BusSVG,
  rapid_transit_stations: SubwaySVG,
  train_stations: TrainSVG,
  parks: NatureSVG,
  fitness: FitnessCenterSVG,
  personal_care: SpaSVG,
  pet_care: PetsSVG,
  car_fueling_stations: GasSVG,
  health_care: HealthSVG,
  sport_facilities: SportsSVG,
  art_culture_science: PaletteSVG,
  home_improvement: HandymanSVG,

  primary_schools: ChildCareSVG,
  high_schools: SchoolSVG,

  // From EnhancedPOI
  alcohol: NightlifeSVG,
  clothing: MallSVG,
  common_needs: HealthSVG,
  conference_centers: HealthSVG,
  entertainment: PaletteSVG,
  hospitals: HealthSVG,
  libraries: PaletteSVG,
  pharmacies: HealthSVG,
  retail: MallSVG,
  shops_and_services: MallSVG,
};
