import { Scores } from "@local-logic/client";
import { ScoreCategories } from "../types/score-categories";
import SchoolSVG from "../assets/icons/school.svg";
import CommuteSVG from "../assets/icons/commute.svg";
import ColorSVG from "../assets/icons/color_lens.svg";
import NatureSVG from "../assets/icons/nature_people.svg";
import ShoppingSVG from "../assets/icons/shopping_bag.svg";
import WellnessSVG from "../assets/icons/Wellness_Icon.svg";

export interface scoreCategoriesType {
  value: ScoreCategories;
  icon: React.FC;
  scores: Partial<keyof Scores["location"]>[];
}

export const scoreCategories: scoreCategoriesType[] = [
  {
    value: "commute",
    icon: CommuteSVG,
    scores: [
      "transit_friendly",
      "car_friendly",
      "pedestrian_friendly",
      "cycling_friendly",
    ],
  },
  {
    value: "education",
    icon: SchoolSVG,
    scores: ["primary_schools", "high_schools", "daycares"],
  },
  {
    value: "amenities",
    icon: ShoppingSVG,
    scores: [
      "groceries",
      "restaurants",
      "shopping",
      "cafes",
      // "wellness"
    ],
  },
  {
    value: "character",
    icon: ColorSVG,
    scores: ["quiet", "nightlife", "vibrant", "historic"],
  },
  {
    value: "nature",
    icon: NatureSVG,
    scores: ["parks", "greenery"],
  },
  {
    value: "wellness",
    icon: WellnessSVG,
    scores: ["wellness"],
  },
];
