import React from "react";
import { StoryFn, StoryObj, Meta } from "@storybook/react";
import { Root, EmploymentStatusCard } from "../index";
import { type EmploymentStatusCardProps } from "./types";

const defaultExport: Meta<typeof Root> = {
  title: "Unofficial/Demographics/EmploymentStatusCard",
  component: Root,
};

export default defaultExport;

const EmploymentStatusCardTemplate: StoryFn<typeof EmploymentStatusCard> = (
  args
) => (
  <Root>
    <EmploymentStatusCard {...args} />
  </Root>
);

export const Primary: StoryObj<EmploymentStatusCardProps> =
  EmploymentStatusCardTemplate.bind({});
Primary.args = {
  options: {
    datasets: [
      {
        label: "Employed",
        data: 63,
      },
      {
        label: "Unemployed",
        data: 37,
      },
    ],
  },
};
