import React from "react";
import { StoryFn, StoryObj, Meta } from "@storybook/react";
import { Root, TypeOfHousingChart } from "../index";
import { TypeOfHousingChartProps } from "./types";

const TypeOfHousingChartExport: Meta<typeof Root> = {
  title: "Unofficial/Demographics/TypeOfHousingChart",
  component: Root,
};

const labels = [
  "Single Detached",
  "Semi-Detached",
  "Duplex",
  "Row House",
  "1-4 Story Apartment",
  "5+ Story Apartment",
];

const PopulationByAgeChartTemplate: StoryFn<typeof TypeOfHousingChart> = (
  args
) => <TypeOfHousingChart {...args} />;

export const Primary: StoryObj<TypeOfHousingChartProps> =
  PopulationByAgeChartTemplate.bind({});
Primary.args = {
  options: {
    labels,
    data: labels.map(() => Math.floor(Math.random() * 1000)),
  },
};

export default TypeOfHousingChartExport;
