import React from "react";
import { RootProps } from "./types";
import { RootElementContext } from "./context";

export const Root = (props: RootProps) => (
  <RootElementContext.Provider value={{ ...props }}>
    {props.children}
  </RootElementContext.Provider>
);

// Export children
export { AvgIncomeCard } from "./AvgIncomeCard";
export { PopulationByAgeChart } from "./PopulationByAgeChart";
export { TotalPopulationCard } from "./TotalPopulationCard";
export { OwnersRentersCard } from "./OwnersRentersCard";
export { HouseholdCompositionCard } from "./HouseholdCompositionCard";
export { FamiliesWithChildrenCard } from "./FamiliesWithChildrenCard";
export { TypeOfHousingChart } from "./TypeOfHousingChart";
export { CommuteModeCard } from "./CommuteModeCard";
export { EducationLevelChart } from "./EducationLevelChart";
export { EmploymentStatusCard } from "./EmploymentStatusCard";
export { IncomeBracketsChart } from "./IncomeBracketsChart";
export { MotherTongueChart } from "./MotherTongueChart";
export { SpokenLanguageCard } from "./SpokenLanguageCard";
