import React from "react";
import { theme, Marker } from "@local-logic/core/ui";
import { RootProps } from "./types";
import HomeSVG from "../../../assets/icons/home.svg";
import PlaceSVG from "../../../assets/icons/place.svg";

export const Root = ({ options }: RootProps) => (
  <Marker
    SVGElement={options.style === "house" ? HomeSVG : PlaceSVG}
    size={options.size || "large"}
    backgroundColor={theme["--ll-color-primary"]}
    backgroundColorHighlight={theme["--ll-color-primary-variant1"]}
    renderForPrint={options.renderForPrint}
  />
);
