import React from "react";
import { RootProps } from "./types";
import { RootElementContext } from "./context";

export const Root = (props: RootProps) => (
  <RootElementContext.Provider value={{ ...props }}>
    {props.children}
  </RootElementContext.Provider>
);

// Export children
export { Badge } from "./Badge";
export { Title } from "./Title";
export { Icon } from "./Icon";
export { BarChart } from "./BarChart";
export { Description } from "./Description";
