import { Scores } from "@local-logic/client";
import { SDKOptions } from "~/types/sdk-options";

export type onChangeMap = {
  "tooltip-toggle": boolean;
};

export type RootProps = SDKOptions<{
  options: {
    score: Partial<keyof Scores["location"]>;
    scoresData: Scores | undefined;
  };
  onChange?: <T extends keyof onChangeMap>({
    type,
    data,
  }: {
    type: T;
    data: onChangeMap[T];
  }) => void;
}>;
