import React from "react";
import { SVG } from "@local-logic/core/ui";
import { scoreCategories } from "~/constants/score-categories";
import { useRootElement } from "../context";
import { IconProps } from "./types";

export const Icon: React.FC<IconProps> = ({ options }) => {
  const { scoreCategory } = useRootElement();

  const categoryDetails = scoreCategories.find(
    (c) => c.value === scoreCategory
  )!;

  return (
    <SVG
      SVGElement={categoryDetails.icon}
      fill={`var(${options?.color})`}
      height={options?.height}
      width={options?.width}
    />
  );
};

Icon.defaultProps = {
  options: {
    color: "--ll-color-on-background-variant1",
  },
};
