import React from "react";
import { Text } from "@local-logic/core/ui";
import useTranslator from "~/hooks/useTranslator";
import { translations as scoreGroupTranslations } from "~/localization/translation-packs/scoreGroups";
import { useRootElement } from "../context";
import { TitleProps } from "./types";

export const Title: React.FC<TitleProps> = (props) => {
  const { scoreCategory } = useRootElement();
  const { translations } = useTranslator([scoreGroupTranslations]);

  return <Text {...props.options}>{translations[scoreCategory]}</Text>;
};

Title.defaultProps = {
  options: {
    noMargin: true,
    variant: "h6",
    color: "--ll-color-on-background-variant1",
  },
};
