import React from "react";
import { render, screen } from "@testing-library/react";
import LocalLogicClient from "@local-logic/client";
import { describe, expect, it } from "vitest";
import { LocalLogicProvider } from "../../context";
import { Root, Title } from "./index";

describe("ScoreCategory", () => {
  it("renders title", () => {
    const client = LocalLogicClient("123");
    render(
      <LocalLogicProvider client={client}>
        <Root options={{ scoreCategory: "character" }}>
          <Title />
        </Root>
      </LocalLogicProvider>
    );

    const result = screen.getByText(/character/i);
    expect(result).toBeDefined();
  });
});
