import React from "react";
import * as Tabs from "@radix-ui/react-tabs";
import { ContentProps } from "./types";
import * as ScoreCategory from "../../../ScoreCategory";

export const Content = ({ children, options: { value } }: ContentProps) => (
  <Tabs.Content value={value} key={value}>
    <ScoreCategory.Root
      options={{
        scoreCategory: value,
      }}
    >
      {children}
    </ScoreCategory.Root>
  </Tabs.Content>
);

// Export children
export const { Title } = ScoreCategory;
export const { Icon } = ScoreCategory;
