import { styled } from "styled-components";
import * as Tabs from "@radix-ui/react-tabs";
import { theme, LoadingItem as L } from "@local-logic/core/ui";

export const TabsList = styled(Tabs.List)`
  display: grid;
  grid-auto-columns: minmax(0, 1fr);
  grid-auto-flow: column;
  background-color: ${theme["--ll-color-background"]};
`;

export const Trigger = styled(Tabs.Trigger)`
  background: none;
  border: none;
  padding: ${theme["--ll-spacing-xx-small"]};
  display: flex;
  flex-direction: column;
  align-items: center;

  &:hover {
    background-color: ${theme["--ll-color-surface"]};
    border-radius: ${theme["--ll-border-radius-small"]};
    box-shadow: ${theme["--ll-shadow-small"]};
  }
`;
