import * as Attribution from "./Attribution";
import * as Demographics from "./Demographics";
import * as DemographicsTabs from "./DemographicsTabs";
import * as PinMarker from "./PinMarker";
import * as POI from "./POI";
import * as POIList from "./POIList";
import * as POIMarker from "./POIMarker";
import * as Score from "./Score";
import * as ScoreCategory from "./ScoreCategory";
import * as ScoreCategoryTabs from "./ScoreCategoryTabs";
import * as ScorePOIs from "./ScorePOIs";

export {
  Attribution,
  Demographics,
  DemographicsTabs,
  PinMarker,
  POI,
  POIList,
  POIMarker,
  Score,
  ScoreCategory,
  ScoreCategoryTabs,
  ScorePOIs,
};
export type ElementType =
  // Score Elements
  | typeof Score.Root
  | typeof Score.Badge
  | typeof Score.BarChart
  | typeof Score.Description
  | typeof Score.Title
  | typeof Score.Icon

  // Attribution Elements
  | typeof Attribution.Root

  // PinMarker Elements
  | typeof PinMarker.Root

  // POIMarker Elements
  | typeof POIMarker.Root
  | typeof POIMarker.Content
  | typeof POIMarker.Marker

  // ScorePOIs Elements
  | typeof ScorePOIs.Root

  // ScoreCategory Elements
  | typeof ScoreCategory.Root
  | typeof ScoreCategory.Title
  | typeof ScoreCategory.Icon

  // ScoreCategoryTabs Elements
  | typeof ScoreCategoryTabs.Root
  | typeof ScoreCategoryTabs.Tabs
  | typeof ScoreCategoryTabs.Content
  | typeof ScoreCategoryTabs.Title
  | typeof ScoreCategoryTabs.Icon

  // ScorePOIs Elements
  | typeof ScorePOIs.Root
  | typeof ScorePOIs.Tabs
  | typeof ScorePOIs.Content

  // POI Elements
  | typeof POI.Root
  | typeof POI.Title
  | typeof POI.Icon

  // Demographics Charts Elements
  | typeof Demographics.Root
  | typeof Demographics.AvgIncomeCard
  | typeof Demographics.PopulationByAgeChart

  // DemographicsTabs Elements
  | typeof DemographicsTabs.Root
  | typeof DemographicsTabs.Tabs
  | typeof DemographicsTabs.Content;
