import { TranslationGroup } from "./types";

export const translations: TranslationGroup = {
  en: {
    "cafes-description": "A measure of the quantity of nearby coffee shops.",
    "car_friendly-description":
      "Represents how well traffic flows, and how easy it is to park.",
    "cycling_friendly-description":
      "Represents how suitable the area is for cycling in terms of nearby bicycle infrastructure and calm streets, as well as the number of destinations that can be reached by bicycle.",
    "daycares-description": "Represents the distance to the nearest daycare.",
    "greenery-description":
      "Quantity of nearby green spaces and tree canopy coverage.",
    "groceries-description":
      "A measure of the quantity of nearby grocery stores.",
    "high_schools-description":
      "Represents the distance to nearest high school.",
    "historic-description":
      "A measure of the quantity and size of heritage buildings, and the average building age in the area.",
    "nightlife-description": "Represents the quantity of bars nearby.",
    "parks-description": "A measure of the quantity and size of nearby parks.",
    "pedestrian_friendly-description":
      "A measure of how many basic services can be reached on foot and how pleasant it is to walk to them.",
    "primary_schools-description":
      "A measure of the distance to the nearest elementary school.",
    "quiet-description": "A measure of the average levels of noise nearby.",
    "restaurants-description": "Represents the quantity of restaurants nearby.",
    "shopping-description":
      "A measure of the quantity of fashion and department stores nearby.",
    "transit_friendly-description":
      "A measure of the frequency and level of public transit service.",
    "vibrant-description": "Represents the level of street activity nearby.",
    "wellness-description":
      "Represents how conducive a location is to individuals' well-being.",
  },
  fr: {
    "cafes-description":
      "Une mesure de la quantité et de la diversité des cafés à proximité.",
    "car_friendly-description":
      "Représente la fluidité de la circulation et la facilité de stationnement.",
    "cycling_friendly-description":
      "Représente à quel point la zone est adaptée au cyclisme en termes d'infrastructure cyclable à proximité et de rues calmes, ainsi que le nombre de destinations pouvant être atteintes à vélo.",
    "daycares-description":
      "Représente la distance à la garderie la plus proche.",
    "greenery-description":
      "Quantité d'espaces verts à proximité et couverture de la canopée des arbres.",
    "groceries-description":
      "Une mesure de la quantité d'épiceries à proximité.",
    "high_schools-description":
      "Représente la distance à l'école secondaire la plus proche.",
    "historic-description":
      "Une mesure de la quantité et de la taille des bâtiments patrimoniaux, et de l'âge moyen des bâtiments dans la région.",
    "nightlife-description":
      "Représente la quantité et la diversité des bars à proximité.",
    "parks-description":
      "Une mesure de la quantité et de la taille des parcs à proximité.",
    "pedestrian_friendly-description":
      "Une mesure de la proximité des services de base et de l'agrément d'y aller à pied.",
    "primary_schools-description":
      "Une mesure de la distance à l'école primaire la plus proche.",
    "quiet-description": "Une mesure des niveaux moyens de bruit à proximité.",
    "restaurants-description":
      "Représente la quantité et la diversité des restaurants à proximité.",
    "shopping-description":
      "Une mesure de la quantité et de la diversité de magasins de mode et de grands magasins à proximité.",
    "transit_friendly-description":
      "Une mesure de la fréquence et du niveau de service de transport en commun.",
    "vibrant-description":
      "Représente le niveau d'activité de la rue à proximité.",
    "wellness-description":
      "Représente à quel point un emplacement est propice au bien-être des individus.",
  },
};
